[Vm-dev] [commit][3636] Add some immutability build dirs for testing

commits at squeakvm.org commits at squeakvm.org
Sat Mar 5 00:37:44 UTC 2016


Revision: 3636
Author:   eliot
Date:     2016-03-04 16:37:43 -0800 (Fri, 04 Mar 2016)
Log Message:
-----------
Add some immutability build dirs for testing

Added Paths:
-----------
    branches/Cog/build.linux32x86/squeak.cog.spur.immutability/
    branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build/
    branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build/mvm
    branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build.assert/
    branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build.assert/mvm
    branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build.debug/
    branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build.debug/mvm
    branches/Cog/build.linux32x86/squeak.cog.spur.immutability/makeallclean
    branches/Cog/build.linux32x86/squeak.cog.spur.immutability/makealldirty
    branches/Cog/build.linux32x86/squeak.cog.spur.immutability/plugins.ext
    branches/Cog/build.linux32x86/squeak.cog.spur.immutability/plugins.int
    branches/Cog/build.linux64x64/squeak.cog.spur.immutability/
    branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build/
    branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build/mvm
    branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build.assert/
    branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build.assert/mvm
    branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build.debug/
    branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build.debug/mvm
    branches/Cog/build.linux64x64/squeak.cog.spur.immutability/makeallclean
    branches/Cog/build.linux64x64/squeak.cog.spur.immutability/makealldirty
    branches/Cog/build.linux64x64/squeak.cog.spur.immutability/plugins.ext
    branches/Cog/build.linux64x64/squeak.cog.spur.immutability/plugins.int
    branches/Cog/build.macos32x86/squeak.cog.spur.immutability/
    branches/Cog/build.macos32x86/squeak.cog.spur.immutability/Makefile
    branches/Cog/build.macos32x86/squeak.cog.spur.immutability/mvm
    branches/Cog/build.macos32x86/squeak.cog.spur.immutability/plugins.ext
    branches/Cog/build.macos32x86/squeak.cog.spur.immutability/plugins.int
    branches/Cog/build.macos64x64/squeak.cog.spur.immutability/
    branches/Cog/build.macos64x64/squeak.cog.spur.immutability/Makefile
    branches/Cog/build.macos64x64/squeak.cog.spur.immutability/mvm
    branches/Cog/build.macos64x64/squeak.cog.spur.immutability/plugins.ext
    branches/Cog/build.macos64x64/squeak.cog.spur.immutability/plugins.int


Property changes on: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build
___________________________________________________________________
Added: svn:ignore
   + *


Added: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build/mvm
===================================================================
--- branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build/mvm	                        (rev 0)
+++ branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build/mvm	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,34 @@
+#!/bin/bash
+# Spur VM with VM profiler and threaded heartbeat
+INSTALLDIR=cogspurlinuxht
+# Some gcc versions create a broken VM using -O2
+case `gcc -v 2>&1 | grep version | sed 's/gcc version *//'` in
+3.4.*)	OPT="-g -O1 -fwrapv -DNDEBUG -DDEBUGVM=0";;
+*)		OPT="-g -O2 -DNDEBUG -DDEBUGVM=0";;
+esac
+
+if [ $# -ge 1 ]; then
+	INSTALLDIR="$1"; shift
+fi
+
+echo -n "clean? "
+read a
+case $a in
+n|no|N|NO)	echo "ok but this isn't safe!!";;
+*)			test -f Makefile && make reallyclean
+esac
+test -f plugins.int || (test -f ../plugins.int && cp -p ../plugins.int . || cp -p ../../plugins.int .)
+test -f plugins.ext || (test -f ../plugins.ext && cp -p ../plugins.ext . || cp -p ../../plugins.ext .)
+test -f config.h || ../../../platforms/unix/config/configure --without-npsqueak \
+		--with-vmversion=5.0 \
+		--with-src=spursrc \
+	CC="gcc -m32" \
+	CXX="g++ -m32" \
+	CFLAGS="$OPT -msse2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DIMMUTABILITY=1 -DCOGMTVM=0" \
+	LIBS="-lpthread -luuid" \
+	LDFLAGS=-Wl,-z,now
+rm -f vm/sqUnixMain.o # nuke version info
+rm -rf ../../../products/$INSTALLDIR
+# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
+# but older linux readlinks lack the -f flag
+make install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG


Property changes on: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build/mvm
___________________________________________________________________
Added: svn:executable
   + *


Property changes on: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build.assert
___________________________________________________________________
Added: svn:ignore
   + *


Added: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build.assert/mvm
===================================================================
--- branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build.assert/mvm	                        (rev 0)
+++ branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build.assert/mvm	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,30 @@
+#!/bin/bash
+# assert VM with VM profiler and threaded heartbeat
+INSTALLDIR=assert/cogspurlinuxht
+OPT="-g3 -O1 -fwrapv -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -DDEBUGVM=0"
+
+if [ $# -ge 1 ]; then
+	INSTALLDIR="$1"; shift
+fi
+
+echo -n "clean? "
+read a
+case $a in
+n|no|N|NO)	echo "ok but this isn't safe!!";;
+*)			test -f Makefile && make reallyclean
+esac
+test -f plugins.int || (test -f ../plugins.int && cp -p ../plugins.int . || cp -p ../../plugins.int .)
+test -f plugins.ext || (test -f ../plugins.ext && cp -p ../plugins.ext . || cp -p ../../plugins.ext .)
+test -f config.h || ../../../platforms/unix/config/configure --without-npsqueak \
+		--with-vmversion=5.0 \
+		--with-src=spursrc \
+	CC="gcc -m32" \
+	CXX="g++ -m32" \
+	CFLAGS="$OPT -msse2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DIMMUTABILITY=1 -DCOGMTVM=0" \
+	LIBS="-lpthread -luuid" \
+	LDFLAGS=-Wl,-z,now
+rm -f vm/sqUnixMain.o # nuke version info
+rm -rf ../../../products/$INSTALLDIR
+# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
+# but older linux readlinks lack the -f flag
+make install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG


Property changes on: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build.assert/mvm
___________________________________________________________________
Added: svn:executable
   + *


Property changes on: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build.debug
___________________________________________________________________
Added: svn:ignore
   + *


Added: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build.debug/mvm
===================================================================
--- branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build.debug/mvm	                        (rev 0)
+++ branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build.debug/mvm	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,30 @@
+#!/bin/bash
+# debug Spur VM with VM profiler and threaded heartbeat
+INSTALLDIR=debug/cogspurlinuxht
+OPT="-g3 -O0 -fwrapv -DDEBUGVM=1"
+
+if [ $# -ge 1 ]; then
+	INSTALLDIR="$1"; shift
+fi
+
+echo -n "clean? "
+read a
+case $a in
+n|no|N|NO)	echo "ok but this isn't safe!!";;
+*)			test -f Makefile && make reallyclean
+esac
+test -f plugins.int || (test -f ../plugins.int && cp -p ../plugins.int . || cp -p ../../plugins.int .)
+test -f plugins.ext || (test -f ../plugins.ext && cp -p ../plugins.ext . || cp -p ../../plugins.ext .)
+test -f config.h || ../../../platforms/unix/config/configure --without-npsqueak \
+		--with-vmversion=5.0 \
+		--with-src=spursrc \
+	CC="gcc -m32" \
+	CXX="g++ -m32" \
+	CFLAGS="$OPT -msse2 -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DIMMUTABILITY=1 -DCOGMTVM=0" \
+	LIBS="-lpthread -luuid" \
+	LDFLAGS=-Wl,-z,now
+rm -f vm/sqUnixMain.o # nuke version info
+rm -rf ../../../products/$INSTALLDIR
+# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
+# but older linux readlinks lack the -f flag
+make install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG


Property changes on: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/build.debug/mvm
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/makeallclean
===================================================================
--- branches/Cog/build.linux32x86/squeak.cog.spur.immutability/makeallclean	                        (rev 0)
+++ branches/Cog/build.linux32x86/squeak.cog.spur.immutability/makeallclean	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,15 @@
+#!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM
+if [ "$1" = -fork ]; then
+	shift
+	for d in `dirname $0`/build*; do
+		(cd ./$d
+		 echo y | ./mvm "$@") &
+	done
+	wait
+else
+	for d in `dirname $0`/build*; do
+		(cd ./$d
+		 echo y | ./mvm "$@")
+	done
+fi


Property changes on: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/makeallclean
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/makealldirty
===================================================================
--- branches/Cog/build.linux32x86/squeak.cog.spur.immutability/makealldirty	                        (rev 0)
+++ branches/Cog/build.linux32x86/squeak.cog.spur.immutability/makealldirty	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,15 @@
+#!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM
+if [ "$1" = -fork ]; then
+	shift
+	for d in `dirname $0`/build*; do
+		(cd ./$d
+		 echo n | ./mvm "$@") &
+	done
+	wait
+else
+	for d in `dirname $0`/build*; do
+		(cd ./$d
+		 echo n | ./mvm "$@")
+	done
+fi


Property changes on: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/makealldirty
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/plugins.ext
===================================================================
--- branches/Cog/build.linux32x86/squeak.cog.spur.immutability/plugins.ext	                        (rev 0)
+++ branches/Cog/build.linux32x86/squeak.cog.spur.immutability/plugins.ext	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,13 @@
+# Copied, perhaps edited, from ../../src/examplePlugins.ext
+EXTERNAL_PLUGINS = \
+B3DAcceleratorPlugin \
+BochsIA32Plugin \
+BochsX64Plugin \
+GdbARMPlugin \
+SqueakFFIPrims \
+SqueakSSL \
+LocalePlugin \
+UnicodePlugin \
+UnixOSProcessPlugin \
+UUIDPlugin \
+XDisplayControlPlugin

Added: branches/Cog/build.linux32x86/squeak.cog.spur.immutability/plugins.int
===================================================================
--- branches/Cog/build.linux32x86/squeak.cog.spur.immutability/plugins.int	                        (rev 0)
+++ branches/Cog/build.linux32x86/squeak.cog.spur.immutability/plugins.int	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,37 @@
+# Copied, perhaps edited, from ../../src/examplePlugins.int
+INTERNAL_PLUGINS = \
+ADPCMCodecPlugin \
+AioPlugin \
+AsynchFilePlugin \
+B2DPlugin \
+BitBltPlugin \
+BMPReadWriterPlugin \
+CroquetPlugin \
+ZipPlugin \
+DropPlugin \
+DSAPrims \
+FFTPlugin \
+FileCopyPlugin \
+FilePlugin \
+FloatArrayPlugin \
+FloatMathPlugin \
+IA32ABI \
+JoystickTabletPlugin \
+JPEGReaderPlugin \
+JPEGReadWriter2Plugin \
+Klatt \
+LargeIntegers \
+Matrix2x3Plugin \
+MIDIPlugin \
+MiscPrimitivePlugin \
+Mpeg3Plugin \
+RePlugin \
+SecurityPlugin \
+SerialPlugin \
+SocketPlugin \
+SoundCodecPrims \
+SoundGenerationPlugin \
+SoundPlugin \
+StarSqueakPlugin \
+SurfacePlugin \
+VMProfileLinuxSupportPlugin


Property changes on: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build
___________________________________________________________________
Added: svn:ignore
   + *


Added: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build/mvm
===================================================================
--- branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build/mvm	                        (rev 0)
+++ branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build/mvm	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,34 @@
+#!/bin/bash
+# Spur VM with VM profiler and threaded heartbeat
+INSTALLDIR=cogspur64linuxht
+# Some gcc versions create a broken VM using -O2
+case `gcc -v 2>&1 | grep version | sed 's/gcc version *//'` in
+3.4.*)	OPT="-g -O1 -fwrapv -DNDEBUG -DDEBUGVM=0";;
+*)		OPT="-g -O2 -DNDEBUG -DDEBUGVM=0";;
+esac
+
+if [ $# -ge 1 ]; then
+	INSTALLDIR="$1"; shift
+fi
+
+echo -n "clean? "
+read a
+case $a in
+n|no|N|NO)	echo "ok but this isn't safe!!";;
+*)			test -f Makefile && make reallyclean
+esac
+test -f plugins.int || (test -f ../plugins.int && cp -p ../plugins.int . || cp -p ../../plugins.int .)
+test -f plugins.ext || (test -f ../plugins.ext && cp -p ../plugins.ext . || cp -p ../../plugins.ext .)
+test -f config.h || ../../../platforms/unix/config/configure --without-npsqueak \
+		--with-vmversion=5.0 \
+		--with-src=spur64src \
+	CC="gcc -m64" \
+	CXX="g++ -m64" \
+	CFLAGS="$OPT -msse2 -D_GNU_SOURCE -DIMMUTABLITY=1 -DCOGMTVM=0" \
+	LIBS="-lpthread -luuid" \
+	LDFLAGS=-Wl,-z,now
+rm -f vm/sqUnixMain.o # nuke version info
+rm -rf ../../../products/$INSTALLDIR
+# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
+# but older linux readlinks lack the -f flag
+make install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG


Property changes on: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build/mvm
___________________________________________________________________
Added: svn:executable
   + *


Property changes on: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build.assert
___________________________________________________________________
Added: svn:ignore
   + *


Added: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build.assert/mvm
===================================================================
--- branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build.assert/mvm	                        (rev 0)
+++ branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build.assert/mvm	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,30 @@
+#!/bin/bash
+# assert VM with VM profiler and threaded heartbeat
+INSTALLDIR=assert/cogspur64linuxht
+OPT="-g3 -O1 -fwrapv -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -DDEBUGVM=0"
+
+if [ $# -ge 1 ]; then
+	INSTALLDIR="$1"; shift
+fi
+
+echo -n "clean? "
+read a
+case $a in
+n|no|N|NO)	echo "ok but this isn't safe!!";;
+*)			test -f Makefile && make reallyclean
+esac
+test -f plugins.int || (test -f ../plugins.int && cp -p ../plugins.int . || cp -p ../../plugins.int .)
+test -f plugins.ext || (test -f ../plugins.ext && cp -p ../plugins.ext . || cp -p ../../plugins.ext .)
+test -f config.h || ../../../platforms/unix/config/configure --without-npsqueak \
+		--with-vmversion=5.0 \
+		--with-src=spur64src \
+	CC="gcc -m64" \
+	CXX="g++ -m64" \
+	CFLAGS="$OPT -msse2 -D_GNU_SOURCE -DIMMUTABLITY=1 -DCOGMTVM=0" \
+	LIBS="-lpthread -luuid" \
+	LDFLAGS=-Wl,-z,now
+rm -f vm/sqUnixMain.o # nuke version info
+rm -rf ../../../products/$INSTALLDIR
+# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
+# but older linux readlinks lack the -f flag
+make install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG


Property changes on: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build.assert/mvm
___________________________________________________________________
Added: svn:executable
   + *


Property changes on: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build.debug
___________________________________________________________________
Added: svn:ignore
   + *


Added: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build.debug/mvm
===================================================================
--- branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build.debug/mvm	                        (rev 0)
+++ branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build.debug/mvm	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,30 @@
+#!/bin/bash
+# debug Spur VM with VM profiler and threaded heartbeat
+INSTALLDIR=debug/cogspur64linuxht
+OPT="-g3 -O0 -fwrapv -DDEBUGVM=1"
+
+if [ $# -ge 1 ]; then
+	INSTALLDIR="$1"; shift
+fi
+
+echo -n "clean? "
+read a
+case $a in
+n|no|N|NO)	echo "ok but this isn't safe!!";;
+*)			test -f Makefile && make reallyclean
+esac
+test -f plugins.int || (test -f ../plugins.int && cp -p ../plugins.int . || cp -p ../../plugins.int .)
+test -f plugins.ext || (test -f ../plugins.ext && cp -p ../plugins.ext . || cp -p ../../plugins.ext .)
+test -f config.h || ../../../platforms/unix/config/configure --without-npsqueak \
+		--with-vmversion=5.0 \
+		--with-src=spur64src \
+	CC="gcc -m64" \
+	CXX="g++ -m64" \
+	CFLAGS="$OPT -msse2 -D_GNU_SOURCE -DIMMUTABLITY=1 -DCOGMTVM=0" \
+	LIBS="-lpthread -luuid" \
+	LDFLAGS=-Wl,-z,now
+rm -f vm/sqUnixMain.o # nuke version info
+rm -rf ../../../products/$INSTALLDIR
+# prefer make install prefix=`readlink -f \`pwd\`/../../../products/$INSTALLDIR`
+# but older linux readlinks lack the -f flag
+make install-squeak install-plugins prefix=`(cd ../../../;pwd)`/products/$INSTALLDIR 2>&1 | tee LOG


Property changes on: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/build.debug/mvm
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/makeallclean
===================================================================
--- branches/Cog/build.linux64x64/squeak.cog.spur.immutability/makeallclean	                        (rev 0)
+++ branches/Cog/build.linux64x64/squeak.cog.spur.immutability/makeallclean	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,15 @@
+#!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM
+if [ "$1" = -fork ]; then
+	shift
+	for d in `dirname $0`/build*; do
+		(cd ./$d
+		 echo y | ./mvm "$@") &
+	done
+	wait
+else
+	for d in `dirname $0`/build*; do
+		(cd ./$d
+		 echo y | ./mvm "$@")
+	done
+fi


Property changes on: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/makeallclean
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/makealldirty
===================================================================
--- branches/Cog/build.linux64x64/squeak.cog.spur.immutability/makealldirty	                        (rev 0)
+++ branches/Cog/build.linux64x64/squeak.cog.spur.immutability/makealldirty	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,15 @@
+#!/bin/sh
+trap 'exit 2' HUP INT PIPE TERM
+if [ "$1" = -fork ]; then
+	shift
+	for d in `dirname $0`/build*; do
+		(cd ./$d
+		 echo n | ./mvm "$@") &
+	done
+	wait
+else
+	for d in `dirname $0`/build*; do
+		(cd ./$d
+		 echo n | ./mvm "$@")
+	done
+fi


Property changes on: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/makealldirty
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/plugins.ext
===================================================================
--- branches/Cog/build.linux64x64/squeak.cog.spur.immutability/plugins.ext	                        (rev 0)
+++ branches/Cog/build.linux64x64/squeak.cog.spur.immutability/plugins.ext	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,10 @@
+# Copied, perhaps edited, from ../../src/examplePlugins.ext
+EXTERNAL_PLUGINS = \
+B3DAcceleratorPlugin \
+SqueakFFIPrims \
+SqueakSSL \
+LocalePlugin \
+UnicodePlugin \
+UnixOSProcessPlugin \
+UUIDPlugin \
+XDisplayControlPlugin

Added: branches/Cog/build.linux64x64/squeak.cog.spur.immutability/plugins.int
===================================================================
--- branches/Cog/build.linux64x64/squeak.cog.spur.immutability/plugins.int	                        (rev 0)
+++ branches/Cog/build.linux64x64/squeak.cog.spur.immutability/plugins.int	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,37 @@
+# Copied, perhaps edited, from ../../src/examplePlugins.int
+INTERNAL_PLUGINS = \
+ADPCMCodecPlugin \
+AioPlugin \
+AsynchFilePlugin \
+B2DPlugin \
+BitBltPlugin \
+BMPReadWriterPlugin \
+CroquetPlugin \
+ZipPlugin \
+DropPlugin \
+DSAPrims \
+FFTPlugin \
+FileCopyPlugin \
+FilePlugin \
+FloatArrayPlugin \
+FloatMathPlugin \
+IA32ABI \
+JoystickTabletPlugin \
+JPEGReaderPlugin \
+JPEGReadWriter2Plugin \
+Klatt \
+LargeIntegers \
+Matrix2x3Plugin \
+MIDIPlugin \
+MiscPrimitivePlugin \
+Mpeg3Plugin \
+RePlugin \
+SecurityPlugin \
+SerialPlugin \
+SocketPlugin \
+SoundCodecPrims \
+SoundGenerationPlugin \
+SoundPlugin \
+StarSqueakPlugin \
+SurfacePlugin \
+VMProfileLinuxSupportPlugin


Property changes on: branches/Cog/build.macos32x86/squeak.cog.spur.immutability
___________________________________________________________________
Added: svn:ignore
   + Cocoa*.app
LOG*
*.sources
build*
deps
getversion*
sqNamedPrims.h


Added: branches/Cog/build.macos32x86/squeak.cog.spur.immutability/Makefile
===================================================================
--- branches/Cog/build.macos32x86/squeak.cog.spur.immutability/Makefile	                        (rev 0)
+++ branches/Cog/build.macos32x86/squeak.cog.spur.immutability/Makefile	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,12 @@
+##############################################################################
+# Makefile for Mac OS X Cog Spur Squeak Cocoa VM using clang and gnu make 3.81
+# Do make init to allow make -n to function.
+#
+
+VMSRCDIR:= ../../spursrc/vm
+COGDEFS=-DIMMUTABILITY=1
+SOURCEFILE:=SqueakV50.sources
+
+# Now include the Makefile proper, which is common to all Mac OS builds.
+#
+include ../common/Makefile.app.squeak.cog

Added: branches/Cog/build.macos32x86/squeak.cog.spur.immutability/mvm
===================================================================
--- branches/Cog/build.macos32x86/squeak.cog.spur.immutability/mvm	                        (rev 0)
+++ branches/Cog/build.macos32x86/squeak.cog.spur.immutability/mvm	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,24 @@
+#!/bin/bash
+A=;D=;F=
+if [ $# = 0 ]; then
+	A=1;D=1;F=1
+else
+	while getopts 'Aadf?' opt "$@"; do
+		case $opt in
+		A)	A=1;D=1;F=1;;
+		a)	A=1;;
+		d)	D=1;;
+		f)	F=1;;
+		*)	echo usage $0 [-A] [-a\ [-d] [-f]; exit 0;;
+		esac
+	done
+fi
+if [ -n "$D" ]; then
+	make debug 2>&1 | tee LOGD
+fi
+if [ -n "$A" ]; then
+	make assert 2>&1 | tee LOGA
+fi
+if [ -n "$F" ]; then
+	make 2>&1 | tee LOGF
+fi


Property changes on: branches/Cog/build.macos32x86/squeak.cog.spur.immutability/mvm
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/Cog/build.macos32x86/squeak.cog.spur.immutability/plugins.ext
===================================================================
--- branches/Cog/build.macos32x86/squeak.cog.spur.immutability/plugins.ext	                        (rev 0)
+++ branches/Cog/build.macos32x86/squeak.cog.spur.immutability/plugins.ext	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,12 @@
+# Copied, perhaps edited, from ../src/examplePlugins.ext
+EXTERNAL_PLUGINS = \
+BochsIA32Plugin \
+BochsX64Plugin \
+GdbARMPlugin \
+CroquetPlugin \
+FloatArrayPlugin \
+FloatMathPlugin \
+Mpeg3Plugin \
+SqueakFFIPrims \
+SqueakSSL \
+UnixOSProcessPlugin

Added: branches/Cog/build.macos32x86/squeak.cog.spur.immutability/plugins.int
===================================================================
--- branches/Cog/build.macos32x86/squeak.cog.spur.immutability/plugins.int	                        (rev 0)
+++ branches/Cog/build.macos32x86/squeak.cog.spur.immutability/plugins.int	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,38 @@
+# Copied, perhaps edited, from ../src/examplePlugins.int
+INTERNAL_PLUGINS = \
+ADPCMCodecPlugin \
+AioPlugin \
+AsynchFilePlugin \
+B2DPlugin \
+BitBltPlugin \
+BMPReadWriterPlugin \
+ZipPlugin \
+DropPlugin \
+DSAPrims \
+FFTPlugin \
+FilePlugin \
+HostWindowPlugin \
+IA32ABI \
+JPEGReaderPlugin \
+JPEGReadWriter2Plugin \
+Klatt \
+LargeIntegers \
+LocalePlugin \
+MacMenubarPlugin \
+Matrix2x3Plugin \
+MIDIPlugin \
+MiscPrimitivePlugin \
+RePlugin \
+SecurityPlugin \
+SerialPlugin \
+SocketPlugin \
+SoundCodecPrims \
+SoundGenerationPlugin \
+SoundPlugin \
+StarSqueakPlugin \
+SurfacePlugin \
+UUIDPlugin \
+VMProfileMacSupportPlugin \
+# B3DAcceleratorPlugin \
+# InternetConfigPlugin \
+# JoystickTabletPlugin


Property changes on: branches/Cog/build.macos64x64/squeak.cog.spur.immutability
___________________________________________________________________
Added: svn:ignore
   + Cocoa*.app
LOG*
*.sources
build*
deps
getversion*
sqNamedPrims.h


Added: branches/Cog/build.macos64x64/squeak.cog.spur.immutability/Makefile
===================================================================
--- branches/Cog/build.macos64x64/squeak.cog.spur.immutability/Makefile	                        (rev 0)
+++ branches/Cog/build.macos64x64/squeak.cog.spur.immutability/Makefile	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,12 @@
+##############################################################################
+# Makefile for Mac OS X Cog Spur Squeak Cocoa VM using clang and gnu make 3.81
+# Do make init to allow make -n to function.
+#
+
+VMSRCDIR:= ../../spur64src/vm
+COGDEFS=-DIMMUTABILITY=1
+SOURCEFILE:=SqueakV50.sources
+
+# Now include the Makefile proper, which is common to all Mac OS builds.
+#
+include ../common/Makefile.app.squeak.cog

Added: branches/Cog/build.macos64x64/squeak.cog.spur.immutability/mvm
===================================================================
--- branches/Cog/build.macos64x64/squeak.cog.spur.immutability/mvm	                        (rev 0)
+++ branches/Cog/build.macos64x64/squeak.cog.spur.immutability/mvm	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,24 @@
+#!/bin/bash
+A=;D=;F=
+if [ $# = 0 ]; then
+	A=1;D=1;F=1
+else
+	while getopts 'Aadf?' opt "$@"; do
+		case $opt in
+		A)	A=1;D=1;F=1;;
+		a)	A=1;;
+		d)	D=1;;
+		f)	F=1;;
+		*)	echo usage $0 [-A] [-a\ [-d] [-f]; exit 0;;
+		esac
+	done
+fi
+if [ -n "$D" ]; then
+	make debug 2>&1 | tee LOGD
+fi
+if [ -n "$A" ]; then
+	make assert 2>&1 | tee LOGA
+fi
+if [ -n "$F" ]; then
+	make 2>&1 | tee LOGF
+fi


Property changes on: branches/Cog/build.macos64x64/squeak.cog.spur.immutability/mvm
___________________________________________________________________
Added: svn:executable
   + *

Added: branches/Cog/build.macos64x64/squeak.cog.spur.immutability/plugins.ext
===================================================================
--- branches/Cog/build.macos64x64/squeak.cog.spur.immutability/plugins.ext	                        (rev 0)
+++ branches/Cog/build.macos64x64/squeak.cog.spur.immutability/plugins.ext	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,10 @@
+# Copied, perhaps edited, from ../src/examplePlugins.ext
+EXTERNAL_PLUGINS = \
+BochsIA32Plugin \
+CroquetPlugin \
+FloatArrayPlugin \
+FloatMathPlugin \
+Mpeg3Plugin \
+SqueakFFIPrims \
+SqueakSSL \
+UnixOSProcessPlugin

Added: branches/Cog/build.macos64x64/squeak.cog.spur.immutability/plugins.int
===================================================================
--- branches/Cog/build.macos64x64/squeak.cog.spur.immutability/plugins.int	                        (rev 0)
+++ branches/Cog/build.macos64x64/squeak.cog.spur.immutability/plugins.int	2016-03-05 00:37:43 UTC (rev 3636)
@@ -0,0 +1,38 @@
+# Copied, perhaps edited, from ../src/examplePlugins.int
+INTERNAL_PLUGINS = \
+ADPCMCodecPlugin \
+AioPlugin \
+AsynchFilePlugin \
+B2DPlugin \
+BitBltPlugin \
+BMPReadWriterPlugin \
+ZipPlugin \
+DropPlugin \
+DSAPrims \
+FFTPlugin \
+FilePlugin \
+HostWindowPlugin \
+IA32ABI \
+JPEGReaderPlugin \
+JPEGReadWriter2Plugin \
+Klatt \
+LargeIntegers \
+LocalePlugin \
+MacMenubarPlugin \
+Matrix2x3Plugin \
+MiscPrimitivePlugin \
+RePlugin \
+SecurityPlugin \
+SocketPlugin \
+SoundCodecPrims \
+SoundGenerationPlugin \
+SoundPlugin \
+StarSqueakPlugin \
+SurfacePlugin \
+UUIDPlugin \
+VMProfileMacSupportPlugin \
+# B3DAcceleratorPlugin \
+# InternetConfigPlugin \
+# JoystickTabletPlugin \
+# MIDIPlugin \
+# SerialPlugin



More information about the Vm-dev mailing list